﻿<!-- 用户展示页中专辑列表的缩略图模板 -->
<script id="albumSmallThumbnailTemplate" type="text/x-jQuery-tmpl">
   <li><a href="/picture/${id}" target="_blank"><img class="small" src="${url}_80_80_thumbnail.${ext}"/></a></li>
</script>
<script id="albumLargeThumbnailTemplate" type="text/x-jQuery-tmpl">
   <li><a href="/picture/${id}" target="_blank"><img class="large" src="${url}_200_200_thumbnail.${ext}"/></a></li>
</script>

<!-- 出现于所有地方的“喜欢”按钮的显示模板 -->
<script id="likeTemplate" type="text/x-jQuery-tmpl">
        <li>
        {{if !isMe}}
            {{if !likedByMe}} 
                <input type="button" value=" " class="toLike albumAction" data-album-id="${id}"/> 
            {{else}}
                <input type="button" value=" " class="like albumAction" data-album-id="${id}"/>
            {{/if}}
   	    {{/if}}
    		</li>
            <li><span class="loveHeart float_l"></span><span class="ColorC1 float_l dis"><span id="numOfLike">${numberOfLike}</span>人喜欢</span></li>
</script>

<!-- 用于用户展示页的专辑列表 我/TA的盒子 -->
<script id="albumListTemplate" type="text/x-jQuery-tmpl">
<div class="myLoveBoxPic" data-album-id="${id}">
	<div class="topTitle">
    	<ul class="float_l">
        	<li><span class="ColorAacd60">{{tmpl({id: id, username: username, name: name})  "#albumLinkTemplate"}}</span></li>
            <li>${numberOfPic}个收纳</li>
        </ul>
    	<ul class="float_r">
            <li>{{if $item.isMe}}[<a href="javascript:void(0)" class="editAlbumBtn" data-album-id="${id}">编辑</a>][<a href="javascript:void(0)" class="deleteAlbumBtn" data-album-id="${id}">删除</a>]{{/if}}
            </li>
  			{{tmpl({isMe: $item.isMe, id: id, numberOfLike: numberOfLike, likedByMe:likedByMe}) "#likeTemplate"}}
        </ul>
    </div>
    <div class="BoxDescription textOver">
        {{if description}}
            ${description}
        {{else}}
            介绍都木有，此盒奇懒
        {{/if}}
    </div>
    {{tmpl "#albumThumbnailListTemplate"}}
</div>
</script>

<script id="originalAlbumTemplate" type="text/x-jQuery-tmpl">
<div class="myLoveBoxPic">
	<div class="topTitle">
    	<h1 class="float_l">第一次由<a href="/user/${username}">${displayName}</a>发布在 {{tmpl({id: id, username: username, name: name})  "#albumLinkTemplate"}} </h1>
    	<ul class="float_r">
            <li>${numberOfPic}个收纳|${numberOfLike}个喜欢</li>
        </ul>
    </div>
    {{tmpl "#albumThumbnailListTemplate"}}
</div>
</script>

<script id="albumThumbnailListTemplate" type="text/x-jQuery-tmpl">  
    <div class="picList">
        <ul>
            {{if largePictureList}} 
    	        {{tmpl(largePictureList) '#albumLargeThumbnailTemplate'}} 
            {{/if}}
            {{if smallPictureList}}
    	        {{tmpl(smallPictureList) '#albumSmallThumbnailTemplate'}} 
            {{/if}}
        </ul>
    </div>
</script>

<script id="deleteAlbumConfirmMessageTemplate" type="text/x-jQuery-tmpl">  
<div>
  <div class="deleteAlbumConfirmMessage">
    <div class="ps">确认要删除这个盒子？</div>
    <div class="checkBtn">
        <ul>
            <li> <input type="radio" name="toDelete" value="keepPic" checked/></li>
            <li> 只删除盒子，里面图片转移到未分类</li>
        </ul>
        <ul>
            <li> <input type="radio" name="toDelete" value="deleteAll"/></li>
            <li> 删除盒子以及里面的图片</li>
        </ul>
    </div>
  </div>
</div>
</script>

<!-- 专辑页的编辑模板 -->
<script id="editAlbumDialogTemplate" type="text/x-jQuery-tmpl">
    <div class="CreateBox" style="width:360px; height:220px; border:#c1c1c1 0px solid; overflow:hidden;">
        <form id="editAlbumForm">
            <h1 class="clearfix">编辑盒子</h1>
                <table width="320" border="0" cellspacing="5" cellpadding="5">
                  <tr>
                    <td width="70"><div align="right">盒子名</div></td>
                    <td width="250"><input type="text" id="newAlbumName" value="${name}" class="Box1 Rounded"></td>
                  </tr>
                  <tr>
                    <td valign="top"><div align="right">描述</div></td>
                    <td><textarea id="newComment" class="Rounded ms">${description}</textarea></td>
                  </tr>
                  <tr>
                    <td colspan=2><input type="button" id="editAlbumBtn" value="确 定" class="editAlbumBtn Public-Btn-Box WebSure" style="margin-left:110px;"/></td>
                  </tr>
                </table>
        </form>
    </div>
</script>